### Method

# Camel FolderSummary header_load

since: 3.24

#### Declaration [src]

    gboolean
    camel_folder_summary_header_load (
      CamelFolderSummary* summary,
      _CamelStore* store,
      const gchar* folder_name,
      GError** error
    )

#### Description [src]

Loads a summary header for the `summary`, which corresponds to `folder_name` provided by `store`.

Available since: 3.24

#### Parameters

`store`

  Type: `_CamelStore*`

  A `CamelStore`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`folder_name`

  Type: `const gchar*`

  A folder name corresponding to `summary`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.